{
  description = "https://uninsane.org blog";
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-22.05";
    flake-utils.url = github:numtide/flake-utils;
  };

  outputs = { self, nixpkgs, flake-utils }:
    with flake-utils.lib; eachSystem allSystems (system:
    let
      pkgs = import nixpkgs { inherit system; };
    in
    rec {
      packages.uninsane-dot-org = with pkgs; stdenv.mkDerivation {
        name = "uninsane-dot-org";
        src = self;
        buildInputs = [ rsync zola ];
        nativeBuildInputs = [ gnumake ];
        installFlags = [ "PREFIX=$(out)" ];
      };
      defaultPackage = packages.uninsane-dot-org;

      devShells.default = with pkgs; mkShell {
        buildInputs = with packages.uninsane-dot-org; (buildInputs ++ nativeBuildInputs);
      };
    });
}
